Page Menu
Home
FreeBSD
Search
Configure Global Search
Log In
Files
F147405180
D2026.id4139.diff
No One
Temporary
Actions
View File
Edit File
Delete File
View Transforms
Subscribe
Mute Notifications
Flag For Later
Award Token
Size
898 B
Referenced Files
None
Subscribers
None
D2026.id4139.diff
View Options
Index: usr.sbin/bsdinstall/scripts/docsinstall
===================================================================
--- usr.sbin/bsdinstall/scripts/docsinstall
+++ usr.sbin/bsdinstall/scripts/docsinstall
@@ -151,13 +151,20 @@
# Let pkg_add be able to use name servers
f_quietly cp -f $BSDINSTALL_TMPETC/resolv.conf $BSDINSTALL_CHROOT/etc/
+if [ ! -x $BSDINSTALL_CHROOT ]; then
+ ASSUME_ALWAYS_YES=YES chroot $BSDINSTALL_CHROOT pkg bootstrap
+fi
+
#
# Install each of the selected packages
#
+docsets=""
for lang in $selected; do
- f_package_add $lang-freebsd-doc || return $FAILURE
+ docsets="$docsets $lang-freebsd-doc"
done
+ASSUME_ALWAYS_YES=YES chroot $BSDINSTALL_CHROOT pkg install $docsets || return $FAILURE
+
################################################################################
# END
################################################################################
File Metadata
Details
Attached
Mime Type
text/plain
Expires
Wed, Mar 11, 5:28 PM (13 h, 8 m)
Storage Engine
blob
Storage Format
Raw Data
Storage Handle
29545217
Default Alt Text
D2026.id4139.diff (898 B)
Attached To
Mode
D2026: Fix the handbook install option in bsdinstall
Attached
Detach File
Event Timeline
Log In to Comment